| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
fsdk::FaceOcclusionEstimation Struct Reference
OcclusionEstimatorGroup

FaceOcclusionEstimation structure. This structure is used to check for occlusions in various parts of the face (such as the lower face, nose, eyes, or forehead). It contains the result of FaceOcclusionState and FaceOcclusionType estimations for each image. More...

`#include <IFaceOcclusionEstimator.h>`

## Public Member Functions
float | getScore (FaceOcclusionType type) const
| Returns the occlusion score for the required facial zone. More...
FaceOcclusionState | getState (FaceOcclusionType type) const
| Returns the occlusion state. More...

## Public Attributes
FaceOcclusionState | states [static_cast< uint8_t >(FaceOcclusionType::Count)]
| occlusion states More...
float | typeScores [static_cast< uint8_t >(FaceOcclusionType::Count)]
FaceOcclusionState | overallOcclusionState
float | overallOcclusionScore
float | hairOcclusionScore

## Detailed Description

FaceOcclusionEstimation structure. This structure is used to check for occlusions in various parts of the face (such as the lower face, nose, eyes, or forehead). It contains the result of FaceOcclusionState and FaceOcclusionType estimations for each image.

See Also
  FaceOcclusionState, FaceOcclusionType for details.

## Member Function Documentation

float fsdk::FaceOcclusionEstimation::getScore | ( | FaceOcclusionType | type | ) | const
| inline

Returns the occlusion score for the required facial zone.

Parameters

  [in] | type | Facial occlusion type.

See Also
  FaceOcclusionType for more info.

FaceOcclusionState fsdk::FaceOcclusionEstimation::getState | ( | FaceOcclusionType | type | ) | const
| inline

Returns the occlusion state.

Parameters

  [in] | type | Facial occlusion type.

See Also
  FaceOcclusionState for more info.

## Member Data Documentation

FaceOcclusionState fsdk::FaceOcclusionEstimation::states[static_cast< uint8_t >(FaceOcclusionType::Count)]

occlusion states

Probability scores for occlusion types

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IFaceOcclusionEstimator.h